; SketchyLISP Extension Library
; Copyright (C) 2005,2006 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; sketchy-ext

; ---conformance---
; SketchyLISP Extension

; ---purpose---
; Load the SketchyLISP extension library into memory.

; ---keywords---
; SketchyLISP, procedures functions, routines, subroutines

(define sketchy-ext #t)

; ---code---
(package 'sketchy-ext)
(require "assp.scm")
(require "count.scm")
(require "depth.scm")
(require "exists.scm")
(require "explode.scm")
(require "factorial.scm")
(require "filter.scm")
(require "forall.scm")
(require "headp.scm") ; head?
(require "id.scm")
(require "implode.scm")
(require "intersection.scm")
(require "iota.scm")
(require "last.scm")
(require "map-cdr.scm")
(require "memp.scm")
(require "not-equalp.scm") ; not-equal?
(require "orderedp.scm") ; ordered?
(require "pair.scm")
(require "permute.scm")
(require "product.scm")
(require "qsort.scm")
(require "read-line.scm")
(require "remove.scm")
(require "remp.scm")
(require "remq.scm")
(require "remv.scm")
(require "replace.scm")
(require "substitute.scm")
(require "sum.scm")
(require "tailp.scm") ; tail?
(require "union.scm")
(require "unique.scm")
(package)
